<script setup lang="ts">
import { useFullscreen } from '@vueuse/core'
import { Expand, Fold, FullScreen } from '@element-plus/icons-vue'
import { useCollapsedStore } from '@/stores/CollapsedStore.ts'

const { toggle } = useFullscreen()
const store = useCollapsedStore()

const fullScreen = () => {
  toggle()
}
</script>

<template>
  <div class="flex justify-between mt-10px">
    <el-button circle :icon="store.collapsed ? Expand : Fold" @click="store.toggleSidebar()" />
    <el-button type="info" circle :icon="FullScreen" @click="fullScreen" />
  </div>
</template>

<style scoped>

</style>
